# Makefile T. Braunl 2017, Compile all .cpp into .x
ALL:  $(patsubst %.cpp,%.x, $(wildcard *.cpp)) $(patsubst %.c,%.x, $(wildcard *.c))
	
%.x: %.cpp
	g++sim -o $*.x $*.cpp `pkg-config --cflags --libs opencv`

%.x: %.c
	gccsim -o $*.x $*.c
	
clean:
	$(RM) *.x

